server:
  port: 8085
spring:
  #给项目来个名字
  application:
    name: env

  datasource:
    dynamic:
      druid: #以下是全局默认值，可以全局更改
        initial-size: 0
        max-active: 8
        min-idle: 2
        max-wait: -1
        min-evictable-idle-time-millis: 30000
        max-evictable-idle-time-millis: 30000
        time-between-eviction-runs-millis: 0
        validation-query: select 1
        validation-query-timeout: -1
        test-on-borrow: false
        test-on-return: false
        test-while-idle: true
        pool-prepared-statements: true
        max-open-prepared-statements: 100
        filters: stat,wall
        share-prepared-statements: true
      datasource:
        master:
          url: jdbc:mysql://192.168.1.7:3306/env_db?useUnicode=true&characterEncoding=UTF-8&useSSL=false&autoReconnect=true&serverTimezone=Asia/Shanghai
          driver-class-name: com.mysql.cj.jdbc.Driver
          username: root
          password: hm123456
          druid:
            initial-size: 5
        slave:
          url: jdbc:mysql://122.112.219.87:3306/ifm?useUnicode=true&characterEncoding=UTF-8&useSSL=false&autoReconnect=true&serverTimezone=Asia/Shanghai
          username: root
          password: hm123456
          driver-class-name: com.mysql.cj.jdbc.Driver
          druid:
            initial-size: 3


  jpa:
    hibernate:
      ddl-auto: update
    database-platform: org.hibernate.dialect.MySQL5InnoDBDialect
    open-in-view: false

#  redis:
#    database: 0
#    host: 119.3.84.55
#    port: 6379
#    password: hm123456
#    jedis:
#      pool:
#        max-active: 20
#        max-wait: -1
#        max-idle: 10
#        min-idle: 0
#    timeout: 5000
